<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>领料项目经理审核</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">
		$(document).ready(function () {
			$("#agree").click(function () {
				jp.prompt("没有问题，完成交底", function (message) {
					jp.post("${ctx}/act/task/applicationAudit",
							{
								"taskId":"${pickApplication.act.taskId}",
								"taskName":"${pickApplication.act.taskName}",
								"taskDefKey":"${pickApplication.act.taskDefKey}",
								"procInsId":"${pickApplication.act.procInsId}",
								"procDefId":"${pickApplication.act.procDefId}",
								"flag":"yes",
								"comment":window.encodeURI(message)
							},
							function (data) {
								if(data.success){
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							})
				})
			});
			$("#no").click(function () {
				jp.prompt("没有问题，完成交底", function (message) {
					jp.post("${ctx}/act/task/applicationAudit",
					{
						"taskId":"${pickApplication.act.taskId}",
						"taskName":"${pickApplication.act.taskName}",
						"taskDefKey":"${pickApplication.act.taskDefKey}",
						"procInsId":"${pickApplication.act.procInsId}",
						"procDefId":"${pickApplication.act.procDefId}",
						"flag":"no",
						"comment":window.encodeURI(message)
					},
					function (data) {
						if(data.success){
							jp.success(data.msg);
							jp.go("${ctx}/act/task/todo")
						}
					})
				})
			});
		})
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<form:form id="inputForm" modelAttribute="project" action="${ctx}/managementcenter/divide/save" method="post" class="form-horizontal">
						<table class="table table-bordered">
							<tbody>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目号：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.projectNumber)}
								</td>
								<td class="width-15 active"><label class="pull-right">项目名称：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.requireName)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">停电线路：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.powerLine)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>停电范围（中间统一用中文分号）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.powerScope)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">项目类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.projectType)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>政处初步判断：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.preliminaryJudgment)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含土建（不含钢管杆）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.flagCivilEngineering)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>钢管杆基础类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.steelTubePole)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否需要规划报批（150米及以上土建）：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.flagApprovalPlanning)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>设备改造类型：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.equCreateType)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">改造设备尺寸及间隔数：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.equCreateSize)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含新设备命名：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.flagNewEquName)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">是否含变电站新间隔投运：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.includeBdzNews)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含非涉电电气施工：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.flagNoElectrical)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">图纸标注的带电作业情况：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.drawingsWork)}
							</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否含自动化：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.flagAutomation)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">二遥或三遥：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.twoAndThreeRemote)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>通信方式：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.phoneStyle)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">柱开集中或就地：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.stayOpenArea)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>环网柜DTU户外或户内：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.ringNetworkCabinet)}
								</td>
							</tr>
							<tr>
								<td class="width-15 active"><label class="pull-right">站房DTU：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.stationDtu)}
								</td>
								<td class="width-15 active"><label class="pull-right"><font color="red">*</font>是否为停电打包项目：</label></td>
								<td class="width-35">
										${fns:unescapeHtml(project.status)}
								</td>
							</tr>
							</tbody>
						</table>
					</form:form>
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="确认判断结果" />&nbsp;
									<input id="no" class="btn  btn-primary btn-lg btn-danger" type="submit" value="驳回" />
								</div>
							</div>
						</div>

					<c:if test="${not empty pickApplication.id}">
						<act:flowChart procInsId="${pickApplication.act.procInsId}"/>
						<act:histoicFlow procInsId="${pickApplication.act.procInsId}" />
					</c:if>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>